<?xml version="1.1" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.6" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <Properties>
    <Property name="autoscrolls" type="boolean" value="true"/>
    <Property name="focusable" type="boolean" value="false"/>
  </Properties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="2"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="jTextField2" alignment="0" pref="852" max="32767" attributes="0"/>
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="1" max="-2" attributes="0">
                  <Group type="102" alignment="0" attributes="1">
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <EmptySpace min="-2" pref="90" max="-2" attributes="0"/>
                              <Component id="tfNom" min="-2" pref="81" max="-2" attributes="0"/>
                          </Group>
                          <Component id="jLabel5" alignment="0" min="-2" pref="86" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="32767" attributes="0"/>
                      <Component id="jLabel6" min="-2" pref="54" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="tfPrenom" min="-2" pref="87" max="-2" attributes="1"/>
                  </Group>
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="jLabel7" min="-2" pref="86" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="tfGrade" min="-2" pref="181" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="btnGetGrade" min="-2" pref="30" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="btnDelGrade" min="-2" pref="30" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace min="-2" pref="44" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="1" attributes="0">
                  <Group type="102" alignment="1" attributes="0">
                      <Component id="jLabel11" min="-2" pref="86" max="-2" attributes="1"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="tfCodeElement" min="-2" pref="58" max="-2" attributes="0"/>
                  </Group>
                  <Group type="102" alignment="1" attributes="0">
                      <Component id="jLabel12" pref="114" max="32767" attributes="1"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="tfCodeImput" min="-2" pref="58" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="tfLibelleImput" alignment="0" pref="205" max="32767" attributes="2"/>
                  <Component id="tfLibelleElement" alignment="0" min="-2" pref="205" max="-2" attributes="2"/>
              </Group>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="buttonGetElement" min="-2" pref="23" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="buttonDelElement" min="-2" pref="23" max="-2" attributes="0"/>
                  </Group>
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="buttonGetCompte" min="-2" pref="23" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="buttonDelCompte" min="-2" pref="23" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace min="-2" max="-2" attributes="0"/>
          </Group>
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jLabel14" min="-2" pref="86" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="titulaires" pref="98" max="32767" attributes="1"/>
              <EmptySpace type="unrelated" max="-2" attributes="0"/>
              <Component id="enseignants" pref="183" max="32767" attributes="1"/>
              <EmptySpace min="-2" pref="461" max="-2" attributes="0"/>
          </Group>
          <Component id="jTextField3" alignment="0" pref="852" max="32767" attributes="0"/>
          <Group type="102" alignment="1" attributes="0">
              <EmptySpace min="-2" pref="16" max="-2" attributes="0"/>
              <Component id="buttonUpdate" min="-2" pref="159" max="-2" attributes="0"/>
              <EmptySpace type="unrelated" max="-2" attributes="0"/>
              <Component id="jLabel3" min="-2" pref="45" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="tfCountRows" min="-2" pref="50" max="-2" attributes="0"/>
              <EmptySpace pref="125" max="32767" attributes="0"/>
              <Component id="buttonImprimer" min="-2" pref="40" max="-2" attributes="0"/>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Component id="buttonExporter" min="-2" pref="40" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="172" max="-2" attributes="0"/>
              <Component id="jLabel2" min="-2" pref="31" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="tfTotal" min="-2" pref="128" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="viewTable" pref="826" max="32767" attributes="0"/>
              <EmptySpace min="-2" pref="16" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Component id="jTextField2" min="-2" max="-2" attributes="0"/>
              <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="jLabel5" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="tfNom" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="tfPrenom" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel6" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="tfGrade" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="jLabel7" alignment="3" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Component id="btnGetGrade" min="-2" pref="20" max="-2" attributes="0"/>
                          <Component id="btnDelGrade" min="-2" pref="20" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="jLabel14" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="titulaires" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="enseignants" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <Group type="102" attributes="0">
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="jLabel11" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="tfLibelleElement" alignment="3" max="32767" attributes="0"/>
                                  <Component id="tfCodeElement" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="2" pref="2" max="2" attributes="0"/>
                          </Group>
                          <Component id="buttonGetElement" alignment="0" min="-2" pref="22" max="-2" attributes="0"/>
                          <Component id="buttonDelElement" alignment="0" min="-2" pref="22" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" max="-2" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <EmptySpace min="-2" pref="2" max="-2" attributes="0"/>
                              <Component id="tfLibelleImput" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="tfCodeImput" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="jLabel12" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="buttonGetCompte" alignment="3" min="-2" pref="22" max="-2" attributes="0"/>
                              <Component id="buttonDelCompte" alignment="3" min="-2" pref="22" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                      <EmptySpace min="-2" pref="39" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace min="-2" pref="20" max="-2" attributes="0"/>
              <Component id="jTextField3" min="-2" max="-2" attributes="0"/>
              <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
              <Component id="viewTable" pref="271" max="32767" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="buttonExporter" alignment="3" min="-2" pref="22" max="-2" attributes="0"/>
                  <Component id="buttonImprimer" alignment="3" min="-2" pref="22" max="-2" attributes="0"/>
                  <Component id="buttonUpdate" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel2" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="tfTotal" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel3" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="tfCountRows" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JTextField" name="tfTotal">
      <Properties>
        <Property name="editable" type="boolean" value="false"/>
        <Property name="horizontalAlignment" type="int" value="4"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel2">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Total"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JPanel" name="viewTable">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
    </Container>
    <Component class="javax.swing.JButton" name="buttonUpdate">
      <Properties>
        <Property name="text" type="java.lang.String" value="Actualiser"/>
        <Property name="toolTipText" type="java.lang.String" value="Actualiser la liste des &#xe9;l&#xe9;ments"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JButton" name="buttonExporter">
      <Properties>
        <Property name="contentAreaFilled" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="buttonImprimer">
      <Properties>
        <Property name="contentAreaFilled" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel3">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Lignes :"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="tfCountRows">
      <Properties>
        <Property name="editable" type="boolean" value="false"/>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="14" style="1"/>
        </Property>
        <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="ff" green="33" red="33" type="rgb"/>
        </Property>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="null"/>
        </Property>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="jTextField2">
      <Properties>
        <Property name="background" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="ff" green="cc" red="cc" type="rgb"/>
        </Property>
        <Property name="editable" type="boolean" value="false"/>
        <Property name="horizontalAlignment" type="int" value="0"/>
        <Property name="text" type="java.lang.String" value="Filtres de recherche"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="jTextField3">
      <Properties>
        <Property name="background" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="ff" green="cc" red="cc" type="rgb"/>
        </Property>
        <Property name="editable" type="boolean" value="false"/>
        <Property name="horizontalAlignment" type="int" value="0"/>
        <Property name="text" type="java.lang.String" value="R&#xe9;sultats"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel5">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Nom :"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="tfNom">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="2"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfNomActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JTextField" name="tfPrenom">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="2"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel6">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Pr&#xe9;nom :"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel14">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Population :"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JComboBox" name="titulaires">
      <Properties>
        <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
          <StringArray count="4">
            <StringItem index="0" value="Item 1"/>
            <StringItem index="1" value="Item 2"/>
            <StringItem index="2" value="Item 3"/>
            <StringItem index="3" value="Item 4"/>
          </StringArray>
        </Property>
        <Property name="toolTipText" type="java.lang.String" value="Budget"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="titulairesActionPerformed"/>
      </Events>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JComboBox" name="enseignants">
      <Properties>
        <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
          <StringArray count="4">
            <StringItem index="0" value="Item 1"/>
            <StringItem index="1" value="Item 2"/>
            <StringItem index="2" value="Item 3"/>
            <StringItem index="3" value="Item 4"/>
          </StringArray>
        </Property>
        <Property name="toolTipText" type="java.lang.String" value="Budget"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="enseignantsActionPerformed"/>
      </Events>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JTextField" name="tfGrade">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="2"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfGradeActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel7">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Grade :"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="btnGetGrade">
      <Properties>
        <Property name="toolTipText" type="java.lang.String" value="S&#xe9;lection d&apos;un grade"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="btnDelGrade">
      <Properties>
        <Property name="toolTipText" type="java.lang.String" value="S&#xe9;lection d&apos;un grade"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel11">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Element TG :"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="buttonDelCompte">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JButton" name="buttonDelElement">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JButton" name="buttonGetElement">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JButton" name="buttonGetCompte">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JTextField" name="tfLibelleElement">
      <Properties>
        <Property name="editable" type="boolean" value="false"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfLibelleElementActionPerformed"/>
      </Events>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JTextField" name="tfLibelleImput">
      <Properties>
        <Property name="editable" type="boolean" value="false"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfLibelleImputActionPerformed"/>
      </Events>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JTextField" name="tfCodeElement">
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfCodeElementActionPerformed"/>
      </Events>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel12">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Compte 6 :"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="tfCodeImput">
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfCodeImputActionPerformed"/>
      </Events>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
      </AuxValues>
    </Component>
  </SubComponents>
</Form>
